Package org.eclipse.jface.databinding.swt

## Class WidgetProperties

- java.lang.Object
- - org.eclipse.jface.databinding.swt.WidgetProperties

    public class WidgetProperties
    extends Object

A factory for creating properties of SWT `widgets`.

Since:
  1.3

### Constructor Summary

Constructors
`WidgetProperties()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IWidgetValueProperty` `background()` Returns a value property for observing the background color of a `Control`.
`static IWidgetValueProperty` `bounds()` Returns a value property for observing the bounds of a `Control`.
`static IWidgetValueProperty` `editable()` Returns a value property for observing the editable state of a `CCombo` (since 1.6), `StyledText` (since 1.6), or `Text`.
`static IWidgetValueProperty` `enabled()` Returns a value property for observing the enablement state of a `Control`, `Menu` (since 1.5), `MenuItem` (since 1.5), `ScrollBar` (since 1.5) or `ToolItem` (since 1.5).
`static IWidgetValueProperty` `focused()` Returns a value property for observing the focus state of a `Control`.
`static IWidgetValueProperty` `font()` Returns a value property for observing the font of a `Control`.
`static IWidgetValueProperty` `foreground()` Returns a value property for observing the foreground color of a `Control`.
`static IWidgetValueProperty` `image()` Returns a value property for observing the image of a `Button`, `CLabel`, `Item` or `Label`.
`static IWidgetListProperty` `items()` Returns a list property for observing the items of a `CCombo`, `Combo` or `List`.
`static IWidgetValueProperty` `location()` Returns a value property for observing the location of a `Control`.
`static IWidgetValueProperty` `maximum()` Returns a value property for observing the maximum value of a `Scale`, `Slider` (since 1.5) or `Spinner`.
`static IWidgetValueProperty` `message()` Returns a value property for observing the message of a `Text` or `ToolTip`.
`static IWidgetValueProperty` `minimum()` Returns a value property for observing the minimum value of a `Scale`, `Slider` (since 1.5) or `Spinner`.
`static IWidgetValueProperty` `selection()` Returns a value property for observing the selection state of a `Button`, `CCombo`, `Combo`, `DateTime`, `List`, `MenuItem` (since 1.5), `Scale`, `Slider` (since 1.5) or `Spinner`.
`static IWidgetValueProperty` `singleSelectionIndex()` Returns a value property for observing the single selection index of a `CCombo`, `Combo`, `List` or `Table`.
`static IWidgetValueProperty` `size()` Returns a value property for observing the size of a `Control`.
`static IWidgetValueProperty` `text()` Returns a value property for observing the text of a `Button`, `CCombo`, `CLabel`, `Combo`, `Item`, `Label`, `Link`, `Shell`, `Group`, `StyledText` or `Text`.
`static IWidgetValueProperty` `text​(int event)` Returns a value property for observing the text of a `StyledText` or `Text`.
`static IWidgetValueProperty` `text​(int... events)` Returns a value property for observing the text of a `StyledText` or `Text`.
`static IWidgetValueProperty` `tooltipText()` Returns a value property for observing the tooltip text of a `CTabItem`, `Control`, `TabItem`, `TableColumn`, `ToolItem`, `TrayItem` or `TreeColumn`.
`static IWidgetValueProperty` `visible()` Returns a value property for observing the visibility state of a `Control`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WidgetProperties

    public WidgetProperties()

### Method Detail

#### background

    public static IWidgetValueProperty background()

Returns a value property for observing the background color of a `Control`.

Returns:
  a value property for observing the background color of a `Control`.

#### bounds

    public static IWidgetValueProperty bounds()

Returns a value property for observing the bounds of a `Control`.

Returns:
  a value property for observing the bounds of a `Control`.

#### editable

    public static IWidgetValueProperty editable()

Returns a value property for observing the editable state of a `CCombo` (since 1.6), `StyledText` (since 1.6), or `Text`.

Returns:
  a value property for observing the editable state of a `CCombo`, `StyledText`, or `Text`.

#### enabled

    public static IWidgetValueProperty enabled()

Returns a value property for observing the enablement state of a `Control`, `Menu` (since 1.5), `MenuItem` (since 1.5), `ScrollBar` (since 1.5) or `ToolItem` (since 1.5).

Returns:
  a value property for observing the enablement state of a `Control`, `Menu`, `MenuItem`, `ScrollBar` or `ToolItem`.

#### focused

    public static IWidgetValueProperty focused()

Returns a value property for observing the focus state of a `Control`.

Returns:
  a value property for observing the focus state of a `Control`.

#### font

    public static IWidgetValueProperty font()

Returns a value property for observing the font of a `Control`.

Returns:
  a value property for observing the font of a `Control`.

#### foreground

    public static IWidgetValueProperty foreground()

Returns a value property for observing the foreground color of a `Control`.

Returns:
  a value property for observing the foreground color of a `Control`.

#### image

    public static IWidgetValueProperty image()

Returns a value property for observing the image of a `Button`, `CLabel`, `Item` or `Label`.

Returns:
  a value property for observing the image of a `Button`, `CLabel`, `Item` or `Label`.

#### items

    public static IWidgetListProperty items()

Returns a list property for observing the items of a `CCombo`, `Combo` or `List`.

Returns:
  a list property for observing the items of a `CCombo`, `Combo` or `List`.

#### location

    public static IWidgetValueProperty location()

Returns a value property for observing the location of a `Control`.

Returns:
  a value property for observing the location of a `Control`.

#### maximum

    public static IWidgetValueProperty maximum()

Returns a value property for observing the maximum value of a `Scale`, `Slider` (since 1.5) or `Spinner`.

Returns:
  a value property for observing the maximum value of a `Scale`, `Slider` (since 1.5) or `Spinner`.

#### message

    public static IWidgetValueProperty message()

Returns a value property for observing the message of a `Text` or `ToolTip`.

Returns:
  a value property for observing the message of a `Text` or `ToolTip`.

#### minimum

    public static IWidgetValueProperty minimum()

Returns a value property for observing the minimum value of a `Scale`, `Slider` (since 1.5) or `Spinner`.

Returns:
  a value property for observing the minimum value of a `Scale`, `Slider` (since 1.5) or `Spinner`.

#### selection

    public static IWidgetValueProperty selection()

Returns a value property for observing the selection state of a `Button`, `CCombo`, `Combo`, `DateTime`, `List`, `MenuItem` (since 1.5), `Scale`, `Slider` (since 1.5) or `Spinner`.

Returns:
  a value property for observing the selection state of a `Button`, `CCombo`, `Combo`, `DateTime`, `List`, `MenuItem`, `Scale`, `Slider` or `Spinner`.

#### singleSelectionIndex

    public static IWidgetValueProperty singleSelectionIndex()

Returns a value property for observing the single selection index of a `CCombo`, `Combo`, `List` or `Table`.

Returns:
  a value property for the single selection index of a SWT Combo.

#### size

    public static IWidgetValueProperty size()

Returns a value property for observing the size of a `Control`.

Returns:
  a value property for observing the size of a `Control`.

#### text

    public static IWidgetValueProperty text()

Returns a value property for observing the text of a `Button`, `CCombo`, `CLabel`, `Combo`, `Item`, `Label`, `Link`, `Shell`, `Group`, `StyledText` or `Text`.

Returns:
  a value property for observing the text of a `Button`, `CCombo`, `CLabel`, `Combo`, `Group`, `Item`, `Label`, `Link`, `Shell`, link StyledText} or `Text`.

#### text

    public static IWidgetValueProperty text​(int event)

Returns a value property for observing the text of a `StyledText` or `Text`.

Parameters:
  `event` - the SWT event type to register for change events. May be `SWT.None`, `SWT.Modify`, `SWT.FocusOut` or `SWT.DefaultSelection`.
Returns:
  a value property for observing the text of a `StyledText` or `Text`.

#### text

    public static IWidgetValueProperty text​(int... events)

Returns a value property for observing the text of a `StyledText` or `Text`.

Parameters:
  `events` - varags of SWT event types to register for change events. May include `SWT.None`, `SWT.Modify`, `SWT.FocusOut` or `SWT.DefaultSelection`.
Returns:
  a value property for observing the text of a `StyledText` or `Text`.

#### tooltipText

    public static IWidgetValueProperty tooltipText()

Returns a value property for observing the tooltip text of a `CTabItem`, `Control`, `TabItem`, `TableColumn`, `ToolItem`, `TrayItem` or `TreeColumn`.

Returns:
  a value property for observing the tooltip text of a `CTabItem`, `Control`, `TabItem`, `TableColumn`, `ToolItem`, `TrayItem` or `TreeColumn`.

#### visible

    public static IWidgetValueProperty visible()

Returns a value property for observing the visibility state of a `Control`.

Returns:
  a value property for observing the visibility state of a `Control`.